1

I'm just install virtualbox and when i try to launch the program from the terminal i got this error

#virtualbox
WARNING: The character device /dev/vboxdrv does not exist.
 Please install the virtualbox-dkms package and the appropriate
 headers, most likely linux-headers-686.

 You will not be able to start VMs until this problem is fixed.

I have try to run this command

/etc/init.d/vboxdrv setup

but this error come

bash: /etc/init.d/vboxdrv: No such file or directory

and then

apt-get install -y linux-headers-$(uname -r)
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package linux-headers-3.12-kali1-686-pae
E: Couldn't find any package by regex 'linux-headers-3.12-kali1-686-pae'

the version of kernel in the system when executing uname -r is

3.12-kali1-686-pae

however in the directory /usr/src/ the version of the linux header is

linux-headers-3.14-kali1-686-pae

I have try to reinstall virtualbox-dkms too but not work

my question is why the version of the kernel is different from linux header? is there any solution to help fix this problem?

  • Did you do as it suggested and install the package: virtualbox-dkms? Also what distro is this? – slm Oct 7 '14 at 1:59
  • You've installed the kernel some time ago and now that version has been replaced by the 3.14 one. That includes the linux-headers package. Update your kernel to match the linux-headers version. – wurtel Oct 7 '14 at 6:37
  • I use kali linux distro and how do i update the kernel to match the kernel version? – harianja Oct 8 '14 at 4:38

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.